## org.apache.poi.ddf
Class EscherSpRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherSpRecord

public class EscherSpRecord
extends EscherRecord

Together the the EscherOptRecord this record defines some of the basic properties of a shape.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static int` `FLAG_BACKGROUND`
`static int` `FLAG_CHILD`
`static int` `FLAG_CONNECTOR`
`static int` `FLAG_DELETED`
`static int` `FLAG_FLIPHORIZ`
`static int` `FLAG_FLIPVERT`
`static int` `FLAG_GROUP`
`static int` `FLAG_HASSHAPETYPE`
`static int` `FLAG_HAVEANCHOR`
`static int` `FLAG_HAVEMASTER`
`static int` `FLAG_OLESHAPE`
`static int` `FLAG_PATRIARCH`
`static java.lang.String` `RECORD_DESCRIPTION`
`static short` `RECORD_ID`

Constructor Summary
`EscherSpRecord()`

Method Summary
`int` `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` This method deserializes the record from a byte array.
`int` `getFlags()` The flags that apply to this shape.
`short` `getRecordId()` Return the current record id.
`java.lang.String` `getRecordName()` The short name for this record
`int` `getRecordSize()` Returns the number of bytes that are required to serialize this record.
`int` `getShapeId()`
`int` `serialize(int offset, byte[] data, EscherSerializationListener listener)` This method serializes this escher record into a byte array.
`void` `setFlags(int field_2_flags)` The flags that apply to this shape.
`void` `setShapeId(int field_1_shapeId)` Sets a number that identifies this shape.
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, isContainerRecord, readHeader, serialize, serialize, setChildRecords, setOptions, setRecordId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

### FLAG_GROUP

    public static final int FLAG_GROUP

See Also:
  Constant Field Values

### FLAG_CHILD

    public static final int FLAG_CHILD

See Also:
  Constant Field Values

### FLAG_PATRIARCH

    public static final int FLAG_PATRIARCH

See Also:
  Constant Field Values

### FLAG_DELETED

    public static final int FLAG_DELETED

See Also:
  Constant Field Values

### FLAG_OLESHAPE

    public static final int FLAG_OLESHAPE

See Also:
  Constant Field Values

### FLAG_HAVEMASTER

    public static final int FLAG_HAVEMASTER

See Also:
  Constant Field Values

### FLAG_FLIPHORIZ

    public static final int FLAG_FLIPHORIZ

See Also:
  Constant Field Values

### FLAG_FLIPVERT

    public static final int FLAG_FLIPVERT

See Also:
  Constant Field Values

### FLAG_CONNECTOR

    public static final int FLAG_CONNECTOR

See Also:
  Constant Field Values

### FLAG_HAVEANCHOR

    public static final int FLAG_HAVEANCHOR

See Also:
  Constant Field Values

### FLAG_BACKGROUND

    public static final int FLAG_BACKGROUND

See Also:
  Constant Field Values

### FLAG_HASSHAPETYPE

    public static final int FLAG_HASSHAPETYPE

See Also:
  Constant Field Values

Constructor Detail

### EscherSpRecord

    public EscherSpRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  This method deserializes the record from a byte array.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the escher record information
    `offset` - The starting offset into `data`.
    `recordFactory` - May be null since this is not a container record.
  Returns:
    The number of bytes read from the byte array.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  This method serializes this escher record into a byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - The offset into `data` to start writing the record data to.
    `data` - The byte array to serialize to.
    `listener` - A listener to retrieve start and end callbacks. Use a `NullEscherSerailizationListener` to ignore these events.
  Returns:
    The number of bytes written.
  See Also:
    `NullEscherSerializationListener`

### getRecordSize

    public int getRecordSize()

  Returns the number of bytes that are required to serialize this record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    Number of bytes

### getRecordId

    public short getRecordId()

  Description copied from class: `EscherRecord`
  Return the current record id.

  Overrides:
    `getRecordId` in class `EscherRecord`
  Returns:
    the 16 bit identifier for this record.

### getRecordName

    public java.lang.String getRecordName()

  The short name for this record

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

  Returns:
    the string representing this shape.

### getShapeId

    public int getShapeId()

  Returns:
    A number that identifies this shape

### setShapeId

    public void setShapeId(int field_1_shapeId)

  Sets a number that identifies this shape.

### getFlags

    public int getFlags()

  The flags that apply to this shape.

  See Also:
    `FLAG_GROUP`, `FLAG_CHILD`, `FLAG_PATRIARCH`, `FLAG_DELETED`, `FLAG_OLESHAPE`, `FLAG_HAVEMASTER`, `FLAG_FLIPHORIZ`, `FLAG_FLIPVERT`, `FLAG_CONNECTOR`, `FLAG_HAVEANCHOR`, `FLAG_BACKGROUND`, `FLAG_HASSHAPETYPE`

### setFlags

    public void setFlags(int field_2_flags)

  The flags that apply to this shape.

  See Also:
    `FLAG_GROUP`, `FLAG_CHILD`, `FLAG_PATRIARCH`, `FLAG_DELETED`, `FLAG_OLESHAPE`, `FLAG_HAVEMASTER`, `FLAG_FLIPHORIZ`, `FLAG_FLIPVERT`, `FLAG_CONNECTOR`, `FLAG_HAVEANCHOR`, `FLAG_BACKGROUND`, `FLAG_HASSHAPETYPE`

Copyright © 2003 Apache Software Foundation.